#!/bin/bash

SOURCE=$(/usr/bin/basename $1 | sed "s/\.qmail-//" | sed "s/\:/\./")
PATH=$(dirname $1)
DOMAIN=$(/usr/bin/basename $PATH)
TARGETS=""
while IFS= read -r LINE
do
  if [[ $LINE == \&* ]]; then
    TARGET=$(echo $LINE | /usr/bin/tr -d "&")
    echo "$SOURCE@$DOMAIN -> $TARGET"
    if [ -z "$TARGETS" ]
    then
      TARGETS="$TARGET"
    else
      TARGETS="$TARGETS,$TARGET"
    fi
  fi
done < $1
echo "INSERT INTO alias (address, goto, domain) VALUES ('$SOURCE@$DOMAIN', '$TARGETS', '$DOMAIN');" >> /root/aliases.sql
